/* eslint-disable no-use-before-define, no-continue, arrow-parens */
import { getGender, getFG, getLG, getMG } from './gender';
import { constantizeGenderInRules, inclineByRules } from './inclineRules';
import rulesLastname from './rules/inclineRulesLastname';
import rulesMiddlename from './rules/inclineRulesMiddlename';
import rulesFirstname from './rules/inclineRulesFirstname';
constantizeGenderInRules(rulesLastname);
constantizeGenderInRules(rulesMiddlename);
constantizeGenderInRules(rulesFirstname);
export function inclineFirstname(str, declension = 'accusative', gender) {
  return inclineByRules(str, declension, gender || getFG(str), rulesFirstname);
}
export function inclineLastname(str, declension = 'accusative', gender) {
  return inclineByRules(str, declension, gender || getLG(str), rulesLastname);
}
export function inclineMiddlename(str, declension = 'accusative', gender) {
  return inclineByRules(str, declension, gender || getMG(str), rulesMiddlename);
}
export function incline(person, declension) {
  const res = {};

  if (!res.gender) {
    res.gender = getGender(person);
  }

  if (person.first) {
    res.first = inclineFirstname(person.first.trim(), declension, res.gender);
  }

  if (person.last) {
    res.last = inclineLastname(person.last.trim(), declension, res.gender);
  }

  if (person.middle) {
    res.last = inclineMiddlename(person.middle.trim(), declension, res.gender);
  }

  return res;
}